/* 
 * Copyright (C) 2004  Free Software Initiative of Japan
 *
 * This file is subject to the terms and conditions of the GNU Lesser
 * General Public License version 2.1 (or later).
 *
 */

#include "conf-delay.h"

void
tiny_delay (void)
{
}

void
delay_400n (void)
{
  int i;

  for (i=0; i < MAGIC_NUMBER_400N; i++)
    asm volatile ("" : : : "memory");
}

void
udelay(int usec)
{
  volatile int i, j;

  for (i = 0; i < usec; i++)
    for (j = 0; j < MAGIC_NUMBER_USEC; j++)
      asm volatile ("" : : : "memory");
}

void
mdelay (int msec)
{
  udelay (msec * 1000);
}
