/* 
 * Copyright (C) 2004  Free Software Initiative of Japan
 *
 * This file is subject to the terms and conditions of the GNU Lesser
 * General Public License version 2.1 (or later).
 *
 */

int
flush_cache (int how)
{
  int code = 0xf0, mask = 0x40;

  asm volatile ("stb	%0, @%1\n\t"
		".fillinsn\n"
	"1:	ldb	%0, @%1\n\t"
		"and	%0, %2\n\t"
		"bnez	%0, 1b"
		: "=r" (code)
		: "r" (-1), /* Cache control address (0xffffffff) */
		  "r" (mask), "0" (code)
		: "memory");
  return 0;
}
