/* 
 * Copyright (C) 2004  Free Software Initiative of Japan
 *
 * This file is subject to the terms and conditions of the GNU Lesser
 * General Public License version 2.1 (or later).
 *
 */

#include "io.h"
#include "conf-led.h"

/* Data segment (for testing initialization of head.S) */
static unsigned int led_port = LED_PORT;

void
led_out (unsigned short data)
{
  if (data)
    outb (0x30, led_port);	/* LED-{3,4} ON, LED-{5,6} OFF */
  else
    outb (0xc0, led_port);	/* LED-{3,4} OFF, LED-{5,6} ON */
}
